{%- from "linux/map.jinja" import system with context %}
{%- if system.enabled %}
  {%- if grains.os_family == 'Debian' %}

    {%- if system.get('repo',{})|length > 0 %}
include:
- linux.system.repo
    {%- endif %}

    {%- if system.get('apt',{}).get('preferences',{}).get('enabled',{})|default(false)  %}
linux_apt_preferences:
  file.managed:
    - name: /etc/apt/preferences
    - source: salt://linux/files/preferences_repo
    - template: jinja
    - defaults:
        pin_dict: {{ system.apt.preferences.rules }}
    {%- else %}
linux_apt_preferences:
  file.absent:
    - name: /etc/apt/preferences
    {%- endif %}

    {%- for key, config in system.get('apt',{}).get('config', {}).items() %}
linux_apt_conf_{{ key }}:
  file.managed:
  - name: /etc/apt/apt.conf.d/99{{ key }}-salt
  - template: jinja
  - source: salt://linux/files/apt.conf
  - defaults:
      config: {{ config|yaml }}
      {% if system.get('pkgs', False) and system.get('repo',{})|length > 0 %}
  - require_in:
    - pkg: linux_repo_prereq_pkgs
        {%- endif %}
    {%- endfor %}

  {%- endif %}
{%- endif %}
